Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 376187 - app-misc/freefilesync - Open Source folder comparison and synchronization software
Summary: app-misc/freefilesync - Open Source folder comparison and synchronization sof...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords: EBUILD
: 431410 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-07-24 10:59 UTC by tman
Modified: 2019-11-10 17:01 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
FreeFileSync ebuild (freefilesync-5.5.ebuild,822 bytes, text/plain)
2012-07-23 20:22 UTC, Mickaël Bucas
Details
/var/log/portage/app-misc:freefilesync-5.5:20120729-044844.log (app-misc:freefilesync-5.5:20120729-044844.log,3.78 KB, text/plain)
2012-07-29 04:53 UTC, tman
Details
freefilesync-5.11.ebuild (freefilesync-5.11.ebuild,958 bytes, text/plain)
2013-01-22 23:00 UTC, Mickaël Bucas
Details
freefilesync-5.13.ebuild (freefilesync-5.13.ebuild,1004 bytes, text/plain)
2013-03-22 22:40 UTC, Mickaël Bucas
Details
freefilesync-5.14.ebuild (freefilesync-5.14.ebuild,1004 bytes, text/plain)
2013-04-03 21:49 UTC, Mickaël Bucas
Details
freefilesync-5.15.ebuild (freefilesync-5.15.ebuild,1004 bytes, text/plain)
2013-05-12 07:58 UTC, Mickaël Bucas
Details
freefilesync-5.21.ebuild (freefilesync-5.21.ebuild,1004 bytes, text/plain)
2013-09-04 21:53 UTC, Mickaël Bucas
Details
freefilesync-5.23.ebuild (freefilesync-5.23.ebuild,1.03 KB, text/plain)
2013-11-11 18:20 UTC, Mickaël Bucas
Details
freefilesync 6 (ff6gentoo.png,111.66 KB, image/png)
2013-12-01 20:07 UTC, Frank Krömmelbein
Details
wxGTK-2.9.5.ebuild (wxGTK-2.9.5.ebuild,4.25 KB, text/plain)
2013-12-01 20:08 UTC, Frank Krömmelbein
Details
wxGTK-2.9.5-collision.patch (wxGTK-2.9.5-collision.patch,5.79 KB, patch)
2013-12-01 20:09 UTC, Frank Krömmelbein
Details | Diff
freefilesync-6.0.ebuild (freefilesync-6.0.ebuild,1.03 KB, text/plain)
2013-12-01 20:10 UTC, Frank Krömmelbein
Details
zenxml-2.0.ebuild (zenxml-2.0.ebuild,579 bytes, text/plain)
2014-02-02 14:44 UTC, Frank Krömmelbein
Details
freefilesync-6.2.ebuild that modifies Makefiles (freefilesync-6.2.ebuild,1.15 KB, text/plain)
2014-02-28 23:10 UTC, Mickaël Bucas
Details
ebuild for version 6.3, fixed icons/desktop file (freefilesync-6.3.ebuild,1.43 KB, text/plain)
2014-03-06 08:45 UTC, Tom-Steve Watzke
Details
freefilesync-6.4.ebuild (freefilesync-6.4.ebuild,1.43 KB, text/plain)
2014-04-01 20:49 UTC, Mickaël Bucas
Details
freefilesync-6.6.ebuild (freefilesync-6.6.ebuild,1.32 KB, text/plain)
2014-06-08 22:23 UTC, Mickaël Bucas
Details
freefilesync-6.8.ebuild (freefilesync-6.8.ebuild,1.33 KB, text/plain)
2014-08-01 20:29 UTC, Frank Krömmelbein
Details
freefilesync-6.10.ebuild (freefilesync-6.10.ebuild,1.33 KB, text/plain)
2014-10-02 10:34 UTC, Frank Krömmelbein
Details
build.log Version 6.11 (build_6_11.log,12.81 KB, text/x-log)
2014-11-03 21:58 UTC, Frank Krömmelbein
Details
freefilesync-6.11.ebuild (freefilesync-6.11.ebuild,1.33 KB, text/plain)
2014-11-04 22:55 UTC, Mickaël Bucas
Details
/var/tmp/portage/x11-libs/wxGTK-2.9.5/temp/build.log (build.log,354.63 KB, text/x-log)
2015-02-13 18:10 UTC, tman
Details
zenxml-2.2.ebuild (zenxml-2.2.ebuild,579 bytes, text/plain)
2015-02-13 18:38 UTC, tman
Details
freefilesync-6.14.ebuild (freefilesync-6.14.ebuild,1.32 KB, text/plain)
2015-02-13 18:40 UTC, tman
Details
freefilesync-6.14.ebuild (freefilesync-6.14.ebuild,1.31 KB, text/plain)
2015-03-06 12:06 UTC, Frank Krömmelbein
Details
freefilesync-7.2.ebuild (freefilesync-7.2.ebuild,1.46 KB, text/plain)
2015-07-03 09:03 UTC, Mickaël Bucas
Details
freefilesync-7.5.ebuild (freefilesync-7.5.ebuild,1.68 KB, text/plain)
2015-10-03 14:40 UTC, Mickaël Bucas
Details
zenxml-2.3.ebuild (zenxml-2.3.ebuild,580 bytes, text/plain)
2015-10-03 14:41 UTC, Mickaël Bucas
Details
freefilesync-8.4.ebuild (freefilesync-8.4.ebuild,1.90 KB, text/plain)
2016-08-30 22:02 UTC, Mickaël Bucas
Details
freefilesync-8.6.ebuild (freefilesync-8.6.ebuild,1.53 KB, text/plain)
2017-02-23 10:53 UTC, Mickaël Bucas
Details
wxGTK-3.1.0.ebuild (wxGTK-3.1.0.ebuild,5.17 KB, text/plain)
2017-02-23 10:54 UTC, Mickaël Bucas
Details
freefilesync-8.7.ebuild (freefilesync-8.7.ebuild,1.65 KB, text/plain)
2017-02-23 10:55 UTC, Mickaël Bucas
Details
zenxml-2.4.ebuild (zenxml-2.4.ebuild,652 bytes, text/plain)
2017-02-23 10:56 UTC, Mickaël Bucas
Details
freefilesync-8.7-fix-includes.patch (freefilesync-8.7-fix-includes.patch,1.75 KB, patch)
2017-02-23 10:57 UTC, Mickaël Bucas
Details | Diff
freefilesync-8.8.ebuild (freefilesync-8.8.ebuild,1.71 KB, text/plain)
2017-02-23 10:58 UTC, Mickaël Bucas
Details
freefilesync-8.8-fix-includes.patch (freefilesync-8.8-fix-includes.patch,1.26 KB, patch)
2017-02-23 10:58 UTC, Mickaël Bucas
Details | Diff
freefilesync-8.9.ebuild (freefilesync-8.9.ebuild,1.81 KB, text/plain)
2017-02-23 10:59 UTC, Mickaël Bucas
Details
freefilesync-8.9-materialize-function.patch (freefilesync-8.9-materialize-function.patch,426 bytes, patch)
2017-02-23 10:59 UTC, Mickaël Bucas
Details | Diff
freefilesync-8.10.ebuild (freefilesync-8.10.ebuild,1.81 KB, text/plain)
2017-03-19 21:48 UTC, Mickaël Bucas
Details
freefilesync-8.10.ebuild (freefilesync-8.10-materialize-function.patch,426 bytes, patch)
2017-03-19 21:49 UTC, Mickaël Bucas
Details | Diff
freefilesync-8.10-materialize-function.patch (freefilesync-8.10-materialize-function.patch,426 bytes, patch)
2017-03-19 21:51 UTC, Mickaël Bucas
Details | Diff
FreeFileSync 9.0 : Version bump, a patch is still necessary (freefilesync-9.0.ebuild,1.90 KB, text/plain)
2017-04-17 14:55 UTC, Mickaël Bucas
Details
This is the patch (freefilesync-9.0-materialize-function.patch,426 bytes, patch)
2017-04-17 14:56 UTC, Mickaël Bucas
Details | Diff
freefilesync-9.7.ebuild (freefilesync-9.7.ebuild,1.96 KB, text/plain)
2018-01-30 14:19 UTC, Mickaël Bucas
Details
freefilesync-9.7-materialize-function.patch (freefilesync-9.7-materialize-function.patch,439 bytes, patch)
2018-01-30 14:20 UTC, Mickaël Bucas
Details | Diff
freefilesync-9.8.ebuild (freefilesync-9.8.ebuild,1.96 KB, text/plain)
2018-06-03 10:17 UTC, Mickaël Bucas
Details
freefilesync-9.8-materialize-function.patch (freefilesync-9.8-materialize-function.patch,439 bytes, patch)
2018-06-03 10:17 UTC, Mickaël Bucas
Details | Diff
freefilesync-9.9.ebuild (freefilesync-9.9.ebuild,2.13 KB, text/plain)
2018-06-03 10:19 UTC, Mickaël Bucas
Details
freefilesync-10.0.ebuild (freefilesync-10.0.ebuild,1.96 KB, text/plain)
2018-06-03 10:20 UTC, Mickaël Bucas
Details
freefilesync-10.5.ebuild (freefilesync-10.5.ebuild,2.10 KB, text/plain)
2018-10-14 22:23 UTC, Mickaël Bucas
Details
freefilesync-10.5-std-byte.patch (freefilesync-10.5-std-byte.patch,691 bytes, patch)
2018-10-14 22:24 UTC, Mickaël Bucas
Details | Diff
freefilesync-10.7.ebuild (freefilesync-10.7.ebuild,2.38 KB, text/plain)
2019-01-05 17:46 UTC, Mickaël Bucas
Details
freefilesync-10.7-std-byte-resources-path.patch (freefilesync-10.7-std-byte-resources-path.patch,1.27 KB, patch)
2019-01-05 17:47 UTC, Mickaël Bucas
Details | Diff
freefilesync-10.7.ebuild EAPI="6" (freefilesync-10.7.ebuild,2.99 KB, text/plain)
2019-01-06 18:14 UTC, jospezial
Details
freefilesync-10.8.ebuild (freefilesync-10.8.ebuild,1.70 KB, text/plain)
2019-02-07 22:36 UTC, Mickaël Bucas
Details
freefilesync-10.8-std-byte-resources-path.patch (freefilesync-10.8-makefiles.patch,2.98 KB, patch)
2019-02-07 22:36 UTC, Mickaël Bucas
Details | Diff
freefilesync-10.8-makefiles.patch (freefilesync-10.8-makefiles.patch,2.98 KB, patch)
2019-02-07 22:38 UTC, Mickaël Bucas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tman 2011-07-24 10:59:00 UTC
i was looking for a simple sync programm and found this very simply programm.
 its OSS and avaibel for linux.

it would be nice if the gentoo community get soon enrich of this software.

thanks u very much.

links to software:
http://sourceforge.net/projects/freefilesync/
http://sourceforge.net/projects/freefilesync/files/freefilesync/


Reproducible: Always
Comment 1 Mickaël Bucas 2012-07-23 20:21:36 UTC
Here is a first version of an ebuild for FreeFileSync. The ebuild was straightforward from the compilation instruction.

However, it does not work with the current stable GCC 4.5.3. Its C++ code uses a feature named "nullptr" that is only available from GCC 4.6 as can be found in http://gcc.gnu.org/gcc-4.6/changes.html

If you want to try FreeFileSync, you will have to keyword GCC 4.6 or any later version, and then set it as the primary compiler with "gcc-config".

Any comment is welcome on this ebuild.
Comment 2 Mickaël Bucas 2012-07-23 20:22:37 UTC
Created attachment 319026 [details]
FreeFileSync ebuild
Comment 3 tman 2012-07-29 04:53:23 UTC
Created attachment 319588 [details]
/var/log/portage/app-misc:freefilesync-5.5:20120729-044844.log

thank u very much.

here is my feedback to improve it, because the compilation fails

Portage 2.2.0_alpha120_p12 (default/linux/amd64/10.0/desktop, gcc-4.6.3, glibc-2.15-r2, 3.5.0-gentoo x86_64)
=================================================================
System uname: Linux-3.5.0-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P9700_@_2.80GHz-with-gentoo-2.1
Timestamp of tree: Sun, 29 Jul 2012 04:30:01 +0000
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.27
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          9999
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.2
sys-devel/binutils:       2.22.90
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.5 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo mpd science scarabeus luman nikai emacs java-overlay mgorny qt gnome wine-diablo3 gamerlay-stable Techwolf poly-c wirelay ruby lokal
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en vi"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/mpd /usr/portage/local/layman/science /usr/portage/local/layman/scarabeus /usr/portage/local/layman/luman /usr/portage/local/layman/nikai /usr/portage/local/layman/emacs /usr/portage/local/layman/java-overlay /usr/portage/local/layman/mgorny /usr/portage/local/layman/qt /usr/portage/local/layman/gnome /usr/portage/local/layman/wine-diablo3 /usr/portage/local/layman/gamerlay /usr/portage/local/layman/techwolf /usr/portage/local/layman/poly-c /usr/portage/local/layman/wirelay /usr/portage/local/layman/ruby /usr/portage/local/local-overlay"
Comment 4 tman 2012-07-29 04:58:15 UTC
"eselect wxwidgets set 1"

solve the problems :))

THANKS
Comment 5 Mickaël Bucas 2013-01-22 23:00:42 UTC
Created attachment 336526 [details]
freefilesync-5.11.ebuild

New version, and improved ebuild :
 - Handle wxGTK with wxwidgets eclass
 - Make a Desktop Entry (inspired by Bug 431410)

As GCC 4.6 is stable now, anyone can try it easily.
Comment 6 Sergey Popov (RETIRED) gentoo-dev 2013-01-23 06:25:12 UTC
It is NOT fixed yet, reopening
Comment 7 Sergey Popov (RETIRED) gentoo-dev 2013-01-23 06:25:56 UTC
*** Bug 431410 has been marked as a duplicate of this bug. ***
Comment 8 tman 2013-02-15 17:11:40 UTC
compilation run through

thank for the ebuild.

i will let this report open as long as this is not in portage tree
Comment 9 tman 2013-03-06 19:44:36 UTC
could u plese update to version 5.13 please

thanks
Comment 10 Mickaël Bucas 2013-03-22 22:40:46 UTC
Created attachment 342942 [details]
freefilesync-5.13.ebuild

Updated to version 5.13.

This was not as easy as previous versions :
 - Sourceforge seems to have changed download URI
 - GCC 4.7 is now required for the '-std=c++11' option and associated C++ changes
 - The Makefile includes some hardcoded paths that are active by default. I've added 'BUILD=Launchpad' to the 'emake' calls to use system wxWidgets and Boost.
Comment 11 tman 2013-03-23 02:55:45 UTC
compilation works fine. 

thanks
Comment 12 Mickaël Bucas 2013-04-03 21:49:57 UTC
Created attachment 344302 [details]
freefilesync-5.14.ebuild

Updated to version 5.14
Comment 13 Mickaël Bucas 2013-05-12 07:58:31 UTC
Created attachment 348048 [details]
freefilesync-5.15.ebuild

Updated to version 5.15
Comment 14 Mickaël Bucas 2013-06-04 21:15:36 UTC
Version 5.16 is available.

I've tested with the same ebuild as the previous version, and the program works.
Comment 15 tman 2013-07-03 06:44:19 UTC
rename to up to date version 5.18 also work
Comment 16 Mickaël Bucas 2013-08-03 09:50:24 UTC
Version 5.19 is available.

I've tested with the same ebuild as the previous version, and the program works.
Comment 17 tman 2013-08-13 18:59:17 UTC
(In reply to Mickaël Bucas from comment #16)
> Version 5.19 is available.
> 
> I've tested with the same ebuild as the previous version, and the program
> works.

i tested last posted ebuild and got this error: 
#

> Emerging (1 of 1) app-misc/freefilesync-5.20 from lokal
 * FreeFileSync_5.20_Source.zip SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                    [ ok ]
>>> Unpacking source...
>>> Unpacking FreeFileSync_5.20_Source.zip to /var/tmp/portage/app-misc/freefilesync-5.20/work/freefilesync-5.20
>>> Source unpacked in /var/tmp/portage/app-misc/freefilesync-5.20/work
>>> Preparing source in /var/tmp/portage/app-misc/freefilesync-5.20/work/freefilesync-5.20 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-misc/freefilesync-5.20/work/freefilesync-5.20 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-misc/freefilesync-5.20/work/freefilesync-5.20 ...
make -j9 
mkdir -p OBJ/FFS_GCC_Make_Release/
mkdir -p OBJ/FFS_GCC_Make_Release/
mkdir -p OBJ/FFS_GCC_Make_Release/
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c algorithm.cpp -o OBJ/FFS_GCC_Make_Release/algorithm.o
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c application.cpp -o OBJ/FFS_GCC_Make_Release/application.o
mkdir -p OBJ/FFS_GCC_Make_Release/
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c comparison.cpp -o OBJ/FFS_GCC_Make_Release/comparison.o
mkdir -p OBJ/FFS_GCC_Make_Release/
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c structures.cpp -o OBJ/FFS_GCC_Make_Release/structures.o
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c synchronization.cpp -o OBJ/FFS_GCC_Make_Release/synchronization.o
mkdir -p OBJ/FFS_GCC_Make_Release/
mkdir -p OBJ/FFS_GCC_Make_Release/ui/
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c file_hierarchy.cpp -o OBJ/FFS_GCC_Make_Release/file_hierarchy.o
mkdir -p OBJ/FFS_GCC_Make_Release/ui/
mkdir -p OBJ/FFS_GCC_Make_Release/ui/
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c ui/custom_grid.cpp -o OBJ/FFS_GCC_Make_Release/ui/custom_grid.o
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c ui/folder_history_box.cpp -o OBJ/FFS_GCC_Make_Release/ui/folder_history_box.o
g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0` -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0 `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c ui/exec_finished_box.cpp -o OBJ/FFS_GCC_Make_Release/ui/exec_finished_box.o
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
/bin/sh: /var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/lib/release/bin/wx-config: No such file or directory
In file included from ui/folder_history_box.cpp:7:0:
ui/folder_history_box.h:10:25: fatal error: wx/combobox.h: No such file or directory
compilation terminated.
make: *** [OBJ/FFS_GCC_Make_Release/ui/folder_history_box.o] Error 1
make: *** Waiting for unfinished jobs....
In file included from ui/custom_grid.h:10:0,
                 from ui/custom_grid.cpp:7:
./wx+/grid.h:13:25: fatal error: wx/scrolwin.h: No such file or directory
compilation terminated.
make: *** [OBJ/FFS_GCC_Make_Release/ui/custom_grid.o] Error 1
In file included from ui/exec_finished_box.cpp:7:0:
ui/exec_finished_box.h:13:25: fatal error: wx/combobox.h: No such file or directory
compilation terminated.
make: *** [OBJ/FFS_GCC_Make_Release/ui/exec_finished_box.o] Error 1
In file included from synchronization.h:12:0,
                 from synchronization.cpp:7:
lib/process_xml.h:10:23: fatal error: wx/gdicmn.h: No such file or directory
compilation terminated.
make: *** [OBJ/FFS_GCC_Make_Release/synchronization.o] Error 1
In file included from application.cpp:7:0:
application.h:12:20: fatal error: wx/app.h: No such file or directory
compilation terminated.
make: *** [OBJ/FFS_GCC_Make_Release/application.o] Error 1
In file included from comparison.h:11:0,
                 from comparison.cpp:7:
lib/process_xml.h:10:23: fatal error: wx/gdicmn.h: No such file or directory
compilation terminated.
make: *** [OBJ/FFS_GCC_Make_Release/comparison.o] Error 1
In file included from algorithm.cpp:15:0:
lib/resources.h:11:23: fatal error: wx/bitmap.h: No such file or directory
compilation terminated.
make: *** [OBJ/FFS_GCC_Make_Release/algorithm.o] Error 1
 * ERROR: app-misc/freefilesync-5.20::lokal failed (compile phase):
 *   emake failed
 *
Comment 18 Mickaël Bucas 2013-08-14 06:20:13 UTC
(In reply to tman from comment #17)
> (In reply to Mickaël Bucas from comment #16)
> > Version 5.19 is available.
> > 
> > I've tested with the same ebuild as the previous version, and the program
> > works.
> 
> i tested last posted ebuild and got this error: 
...
> make -j9 

Missing 'BUILD=Launchpad'

> mkdir -p OBJ/FFS_GCC_Make_Release/
> mkdir -p OBJ/FFS_GCC_Make_Release/
> mkdir -p OBJ/FFS_GCC_Make_Release/
> g++ -pthread -std=c++11 -Wall -pipe -O3 -DNDEBUG -DwxUSE_UNICODE
> -DWXINTL_NO_GETTEXT_MACRO -I. -include "zen/i18n.h" -include
> "zen/warn_static.h" -DZEN_LINUX `pkg-config --cflags gtk+-2.0`
> -I/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/boost_1_54_0
> `/var/tmp/portage/app-misc/freefilesync-5.20/homedir/Desktop/wxGTK-2.8.12/
> lib/release/bin/wx-config --cxxflags      --debug=no --static=yes` -c
> algorithm.cpp -o OBJ/FFS_GCC_Make_Release/algorithm.o
...
Strange path to wxGTK

It seems to me you didn't take the ebuild that contains 'BUILD=Launchpad' after 'emake'. This is necessary to use system wxWidgets. With the latest ebuild, compilation runs fine for me.
Comment 19 tman 2013-09-02 21:22:14 UTC
version 5.21 is released. a working ebuild is missing
Comment 20 Mickaël Bucas 2013-09-04 21:53:52 UTC
Created attachment 357856 [details]
freefilesync-5.21.ebuild

This version depends on wxGTK 2.9

You may need to execute "eselect wxwidgets set n" where n is the number for wxGTK 2.9
Comment 21 tman 2013-11-10 16:29:17 UTC
please bump to version 5.213 please
Comment 22 Mickaël Bucas 2013-11-11 18:20:38 UTC
Created attachment 363074 [details]
freefilesync-5.23.ebuild

Sources were reorganized in the archive.
Comment 23 tman 2013-12-01 19:06:02 UTC
new version 6.0  is realeased. it would be nice to have an update. thanks
Comment 24 Frank Krömmelbein 2013-12-01 19:12:29 UTC
(In reply to tman from comment #23)
> new version 6.0  is realeased. it would be nice to have an update. thanks

It seems that at least x11-libs/wxGTK version >=2.9.5 is required, but not available via portage.
I have found here a Ebuild https://bugs.gentoo.org/show_bug.cgi?id=485184 but did not test it. 
I dont know how safe a update of this lib is and dont want to break my system ;-)
Comment 25 tman 2013-12-01 19:31:18 UTC
(In reply to Frank Krömmelbein from comment #24)
> (In reply to tman from comment #23)
> > new version 6.0  is realeased. it would be nice to have an update. thanks
> 
> It seems that at least x11-libs/wxGTK version >=2.9.5 is required, but not
> available via portage.
> I have found here a Ebuild https://bugs.gentoo.org/show_bug.cgi?id=485184
> but did not test it. 
> I dont know how safe a update of this lib is and dont want to break my
> system ;-)

really pitty... i only see some patches https://bugs.gentoo.org/show_bug.cgi?id=485184 but no completly ebuild for latest version.


can u do sth there?
Comment 26 Frank Krömmelbein 2013-12-01 20:07:42 UTC
Created attachment 364368 [details]
freefilesync 6

I have got it working see attached screenshot.
After update of wxGTK, only the old freefilesync version was broken on my system.
revdep-rebuild reports no other broken files.

Ebuilds follwow.

But use at your own risk ;-)
Comment 27 Frank Krömmelbein 2013-12-01 20:08:41 UTC
Created attachment 364370 [details]
wxGTK-2.9.5.ebuild
Comment 28 Frank Krömmelbein 2013-12-01 20:09:00 UTC
Created attachment 364372 [details, diff]
wxGTK-2.9.5-collision.patch
Comment 29 Frank Krömmelbein 2013-12-01 20:10:13 UTC
Created attachment 364374 [details]
freefilesync-6.0.ebuild
Comment 30 tman 2013-12-01 20:59:54 UTC
risked and tested. all works fine


thanks
Comment 31 Mickaël Bucas 2013-12-02 22:40:36 UTC
wxGTK-2.9.5 and freefilesync-6.0.ebuild working. Thanks
Comment 32 tman 2014-01-02 00:04:06 UTC
version 6.1 with some fixes released:

http://freefilesync.sourceforge.net/download.php
Comment 33 Frank Krömmelbein 2014-02-02 14:44:13 UTC
Version 6.2 is out.

I tried to get it to work, but it failed.
First of all there is a "new" or "old" dependency for zen::Xml, i made an Ebuild based on Ebuild from the Gentoo forum.
This installs only some header files, and works for me.

But then the compile of FreeFileSync fails with:

ui/batch_config.cpp:9:32: fatal error: wx+/mouse_move_dlg.h: No such file or directory

A look into the source archiv shows, that this file was included in the previous 6.1 archiv but is now missing in the new 6.2 file.

So i think this is a upstream mistake, i notfied this issue here:
https://sourceforge.net/p/freefilesync/discussion/help/thread/fc890239/

So lets see what happens ;-)


Frank
Comment 34 Frank Krömmelbein 2014-02-02 14:44:44 UTC
Created attachment 369348 [details]
zenxml-2.0.ebuild
Comment 35 Mickaël Bucas 2014-02-28 22:59:26 UTC
I first installed zenxml with the attached ebuild. I've also added the dependency in the FreeFileSync ebuild for consistency.

I then tried to build, and met the error :
ui/gui_generated.cpp:8:34: fatal error: ../wx+/bitmap_button.h: No such file or directory

This file is present in the archive, but not at this relative path.

I've modified the Makefile in /var/tmp/portage/app-backup/freefilesync-6.2/work/FreeFileSync/Source/ : I've added "-I.." to the CXXFLAGS variable at line 10.

Now the build finishes with success, but I don't know how to include this modification in the ebuild.

As a side note, it seems that the discussion on SourceForge has been supressed.
Comment 36 Mickaël Bucas 2014-02-28 23:10:20 UTC
Created attachment 371458 [details]
freefilesync-6.2.ebuild that modifies Makefiles

I just remembered that ebuilds are simply Shell scripts, so I've added direct sed commands to adapt the Makefiles

With this one, installation completes
Comment 37 tman 2014-03-02 06:30:07 UTC
new version 6.3 released
Comment 38 Mickaël Bucas 2014-03-02 21:05:42 UTC
With the ebuild for 6.2 I successfully installed 6.3.
Comment 39 Tom-Steve Watzke 2014-03-06 08:45:09 UTC
Created attachment 371844 [details]
ebuild for version 6.3, fixed icons/desktop file

Modified ebuild for version 6.3 and fixed icons / desktop file generation.
Comment 40 Mickaël Bucas 2014-04-01 20:49:34 UTC
Created attachment 374048 [details]
freefilesync-6.4.ebuild

New version 6.4
The download URL has changed.
Comment 41 tman 2014-05-03 21:41:41 UTC
new version release, bump please. thanks
Comment 42 tman 2014-06-01 18:42:58 UTC
new version 6.6 released

please bump

http://freefilesync.sourceforge.net/download.php
Comment 43 Mickaël Bucas 2014-06-08 22:23:25 UTC
Created attachment 378540 [details]
freefilesync-6.6.ebuild

The Makefile has changed, now you need to call "emake launchpad".

It's working for me but there are still many warnings for hardcoded paths.
Comment 44 tman 2014-06-12 06:28:04 UTC
does it works with wxgtk 3.0 in offcial portage or we have to use this the version 2.9.5??
Comment 45 tman 2014-07-05 23:17:32 UTC
version 6.7 released
Comment 46 tman 2014-08-01 19:34:40 UTC
version 6.8 released.
Comment 47 tman 2014-08-01 19:37:47 UTC
renaming to version 6.8 does not work. please a fixed ebuild.

thanks
Comment 48 Frank Krömmelbein 2014-08-01 20:29:43 UTC
Created attachment 382038 [details]
freefilesync-6.8.ebuild
Comment 49 Frank Krömmelbein 2014-08-01 20:31:07 UTC
The renamed Ebuild by Mickaël Bucas worked for me, except the download of the sources failed. Updated Ebuild already attached.
I still have version 2.9.5 of of wxGTK installed.
Comment 50 Frank Krömmelbein 2014-08-01 21:08:16 UTC
Btw. there is a possible alternative for FreeFileSync for KDE users, with less dependencies KFolderSync

Homepage: 
http://kde-apps.org/content/show.php/KFolderSync?content=164092

Ebuild:
https://bugs.gentoo.org/show_bug.cgi?id=507500
Comment 51 tman 2014-09-19 07:53:46 UTC
version 6.9 is released
Comment 52 Frank Krömmelbein 2014-10-02 10:34:39 UTC
Created attachment 385930 [details]
freefilesync-6.10.ebuild

Version 6.10 is available, previous Ebuild still works for me.
Comment 53 Frank Krömmelbein 2014-11-03 21:58:36 UTC
Created attachment 388472 [details]
build.log Version 6.11

Version 6.11 is available.
But it fails for me, see attached log.
Comment 54 Mickaël Bucas 2014-11-04 22:55:26 UTC
Created attachment 388560 [details]
freefilesync-6.11.ebuild

FreeFileSync depends on zenXml, which is written by the same author.

There is a new version 2.1 for zenxml, you should update it with the same ebuild, just change the name to 2.1.

I've updated dependencies for FreeFileSync 6.11 with version 2.1 of zenXml.

I've also met another unrelated bug, due to update from gcc 4.7 to gcc 4.8. The message is :
/usr/lib64/libwebkitgtk-1.0.so.0: undefined reference to `std::chrono::steady_clock::now()@GLIBCXX_3.4.17'
In this case you need to rebuild webkit-gtk with gcc 4.8. See bug 513386 for more details
Comment 55 tman 2015-02-11 09:08:37 UTC
version 6.14 is released but renaming the ebuild dont work.

please help. thanks
Comment 56 Mickaël Bucas 2015-02-11 14:11:59 UTC
There was a problem with the sources :
../../../zen/dir_watcher.cpp:21:34: fatal error: folder_traverser.h: No such file or directory
     #include "folder_traverser.h"
                                  ^
compilation terminated.
Makefile:48: recipe for target '../../Obj/RTS_GCC_Make_Release/ffs/src/rts/../../../zen/dir_watcher.o' failed

I've asked on the forum, and the sources have been corrected.
https://sourceforge.net/p/freefilesync/discussion/help/thread/5b93e5a6/

Now you can use the same ebuild.

Beware : the source file has changed, but it has not been renamed, so the checksums must be calculated again.
Comment 57 tman 2015-02-13 18:08:43 UTC
 wxGTK-2.9.5.ebuild  seems not work anymore.

compilation fails:

                                                      ^
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:350:68: error: template argument 1 is invalid
     enum { value = wxFormatStringSpecifierNonPodType<is_enum::value>::value };
                                                                    ^
In file included from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/string.h:51:0,
                 from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/arrstr.h:16,
                 from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/src/common/arrstr.cpp:23:
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:346:18: error: ‘is_enum’ in namespace ‘std’ does not name a template type
     typedef std::is_enum<T> is_enum;
                  ^
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:350:54: error: ‘is_enum’ was not declared in this scope
     enum { value = wxFormatStringSpecifierNonPodType<is_enum::value>::value };
                                                      ^
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:350:68: error: template argument 1 is invalid
     enum { value = wxFormatStringSpecifierNonPodType<is_enum::value>::value };
                                                                    ^
In file included from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/string.h:51:0,
                 from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/base64.h:15,
                 from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/src/common/base64.cpp:18:
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:346:18: error: ‘is_enum’ in namespace ‘std’ does not name a template type
     typedef std::is_enum<T> is_enum;
                  ^
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:350:54: error: ‘is_enum’ was not declared in this scope
     enum { value = wxFormatStringSpecifierNonPodType<is_enum::value>::value };
                                                      ^
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:350:68: error: template argument 1 is invalid
     enum { value = wxFormatStringSpecifierNonPodType<is_enum::value>::value };
                                                                    ^
In file included from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/string.h:51:0,
                 from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/clntdata.h:16,
                 from /var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/src/common/clntdata.cpp:19:
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:346:18: error: ‘is_enum’ in namespace ‘std’ does not name a template type
     typedef std::is_enum<T> is_enum;
                  ^
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:350:54: error: ‘is_enum’ was not declared in this scope
     enum { value = wxFormatStringSpecifierNonPodType<is_enum::value>::value };
                                                      ^
/var/tmp/portage/x11-libs/wxGTK-2.9.5/work/wxPython-src-2.9.5.0/include/wx/strvararg.h:350:68: error: template argument 1 is invalid
     enum { value = wxFormatStringSpecifierNonPodType<is_enum::value>::value };
                                                                    ^
Makefile:28614: recipe for target 'basedll_arcfind.o' failed
make: *** [basedll_arcfind.o] Error 1
make: *** Waiting for unfinished jobs....
Makefile:28623: recipe for target 'basedll_base64.o' failed
make: *** [basedll_base64.o] Error 1
Makefile:28611: recipe for target 'basedll_arcall.o' failed
make: *** [basedll_arcall.o] Error 1
Makefile:28620: recipe for target 'basedll_arrstr.o' failed
make: *** [basedll_arrstr.o] Error 1
Makefile:28626: recipe for target 'basedll_clntdata.o' failed
make: *** [basedll_clntdata.o] Error 1
Makefile:28605: recipe for target 'basedll_any.o' failed
Comment 58 tman 2015-02-13 18:10:04 UTC
Created attachment 396396 [details]
/var/tmp/portage/x11-libs/wxGTK-2.9.5/temp/build.log

full error
Comment 59 tman 2015-02-13 18:32:28 UTC
i have modifed the freefilesynce to let it compile with wxgtk-3.0.*. does ths work or does i need version 2.9*?

its compile throw but well... i dont find any log where it show up the lib requirement on hp.
Comment 60 tman 2015-02-13 18:38:35 UTC
Created attachment 396402 [details]
zenxml-2.2.ebuild

new zenxml-2.2
Comment 61 tman 2015-02-13 18:40:24 UTC
Created attachment 396404 [details]
freefilesync-6.14.ebuild

freefilesync-6.14.ebuild

modified ebuild which seems to compile with wxgtk-3.0. please test.
Comment 62 Frank Krömmelbein 2015-03-06 12:05:04 UTC
(In reply to tman from comment #61)
 
> modified ebuild which seems to compile with wxgtk-3.0. please test.

It did not work for me, with your Ebuild. 
I have found 2 errors in your Ebuild, and also dropped the IMHO useless gcc dependency. Now it works for me with the actual version of wxGTK from portage:

[ebuild   R   ~] x11-libs/wxGTK-3.0.2.0-r1:3.0  USE="X opengl tiff (-aqua) -debug -doc -gstreamer -libnotify -sdl -webkit" 0 KiB
Comment 63 Frank Krömmelbein 2015-03-06 12:06:11 UTC
Created attachment 398228 [details]
freefilesync-6.14.ebuild
Comment 64 tman 2015-03-06 15:15:28 UTC
(In reply to Frank Krömmelbein from comment #63)
> Created attachment 398228 [details]
> freefilesync-6.14.ebuild

thanks, it works fine
Comment 65 Mickaël Bucas 2015-07-03 09:03:36 UTC
Created attachment 406106 [details]
freefilesync-7.2.ebuild

Version 7.2
Modified link flags to solve a link error :
comparison.cpp:(.text+0x68a5): undefined reference to `boost::chrono::steady_clock::now()'

This ebuild is also available in my overlay : https://github.com/mbucas/gentoo-overlay
Comment 66 tman 2015-09-22 20:02:22 UTC
version 7.4 is released please fice the ebuild. the currently dont work
Comment 67 Frank Krömmelbein 2015-09-22 21:08:41 UTC
(In reply to tman from comment #66)
> version 7.4 is released please fice the ebuild. the currently dont work

Upstream Sourcecode is no longer available on sourceforge :-(
You need to fetch the source code manualy and move the file FreeFileSync_7.4_Source.zip from here:
http://www.freefilesync.org/download.php
to your distfiles.
The renamed 7.2 ebuild works then.
Just as it is currently, we can no longer download the sourcecode via ebuild :-(
Comment 68 Frank Krömmelbein 2015-10-01 16:02:23 UTC
Update to 7.5 fails for me.
See bug report:
https://sourceforge.net/p/freefilesync/discussion/help/thread/e9af41d3/
Comment 69 Mickaël Bucas 2015-10-03 14:39:16 UTC
The error message shows "error: ‘make_unique’ is not a member of ‘std’"

std::make_unique is a C++14 feature.
The gcc command line contains explicit "-std=c++11"

When I change this parameter in the Makefiles to "-std=c++14", using gcc 4.9.3, the build finishes correctly, and FreeFileSync works.

I've asked in the forum to update the Makefile.
In the meantime, I've changed the ebuild to update the Makefiles with this new option.

zenXml is also updated to version 2.3.
Comment 70 Mickaël Bucas 2015-10-03 14:40:02 UTC
Created attachment 413582 [details]
freefilesync-7.5.ebuild
Comment 71 Mickaël Bucas 2015-10-03 14:41:02 UTC
Created attachment 413584 [details]
zenxml-2.3.ebuild
Comment 72 Frank Krömmelbein 2015-10-03 20:31:45 UTC
(In reply to Mickaël Bucas from comment #69)
> The error message shows "error: ‘make_unique’ is not a member of ‘std’"
> 
> std::make_unique is a C++14 feature.
> The gcc command line contains explicit "-std=c++11"
> 
> When I change this parameter in the Makefiles to "-std=c++14", using gcc
> 4.9.3, the build finishes correctly, and FreeFileSync works.
> 
> I've asked in the forum to update the Makefile.
> In the meantime, I've changed the ebuild to update the Makefiles with this
> new option.
> 
> zenXml is also updated to version 2.3.

Works for me. Thank you very much!
Comment 73 tman 2015-11-10 08:50:05 UTC
(In reply to Frank Krömmelbein from comment #72)
> (In reply to Mickaël Bucas from comment #69)
> > The error message shows "error: ‘make_unique’ is not a member of ‘std’"
> > 
> > std::make_unique is a C++14 feature.
> > The gcc command line contains explicit "-std=c++11"
> > 
> > When I change this parameter in the Makefiles to "-std=c++14", using gcc
> > 4.9.3, the build finishes correctly, and FreeFileSync works.
> > 
> > I've asked in the forum to update the Makefile.
> > In the meantime, I've changed the ebuild to update the Makefiles with this
> > new option.
> > 
> > zenXml is also updated to version 2.3.
> 
> Works for me. Thank you very much!

version 7.6 is our and renaming this ebuild dont work now
Comment 74 tman 2015-11-10 09:06:41 UTC
(In reply to Mickaël Bucas from comment #70)
> Created attachment 413582 [details]
> freefilesync-7.5.ebuild

 emerge app-misc/freefilesync

 * IMPORTANT: 22 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) app-misc/freefilesync-7.5::lokal
 * FreeFileSync_7.5_Source.zip SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                     [ ok ]
>>> Unpacking source...
>>> Unpacking FreeFileSync_7.5_Source.zip to /var/tmp/portage/app-misc/freefilesync-7.5/work
[/var/tmp/portage/app-misc/freefilesync-7.5/distdir/FreeFileSync_7.5_Source.zip]
  End-of-central-directory signature not found.  Either this file is not
  a zipfile, or it constitutes one disk of a multi-part archive.  In the
  latter case the central directory and zipfile comment will be found on
  the last disk(s) of this archive.
unzip:  cannot find zipfile directory in one of /var/tmp/portage/app-misc/freefilesync-7.5/distdir/FreeFileSync_7.5_Source.zip or
        /var/tmp/portage/app-misc/freefilesync-7.5/distdir/FreeFileSync_7.5_Source.zip.zip, and cannot find /var/tmp/portage/app-misc/freefilesync-7.5/distdir/FreeFileSync_7.5_Source.zip.ZIP, period.
 * ERROR: app-misc/freefilesync-7.5::lokal failed (unpack phase):
 *   unpack: failure unpacking FreeFileSync_7.5_Source.zip
Comment 75 Mickaël Bucas 2015-11-10 10:35:14 UTC
(In reply to tman from comment #74)
> (In reply to Mickaël Bucas from comment #70)
> > Created attachment 413582 [details]
> > freefilesync-7.5.ebuild
> 
>  emerge app-misc/freefilesync
> >>> Verifying ebuild manifests
> 
> >>> Emerging (1 of 1) app-misc/freefilesync-7.5::lokal
>  * FreeFileSync_7.5_Source.zip SHA256 SHA512 WHIRLPOOL size ;-) ...         
> [ ok ]

Did you do the Manifest yourself ?
Source file size is 2765984 bytes
I have in the Manifest:DIST FreeFileSync_7.5_Source.zip 2765984 SHA256 8d7750dde6be9a183ffd8b5cf96c5e4ae16f57d1ab77c3ffe5ccf825c0594e92 SHA512 324672351a847787c87ba1f4927e2ae024a675836312451dbc635f60e67ef45afee60ee8a84348529d0eca26f6017e0faf0d373e5ce1237e878f0113c1296f0e WHIRLPOOL 75c22d5cd181fe4737fd429b31aff568c8796267d48322acb8beab3965eb7adb318c9d5be8a8d42293c3d81017b647a6a540c6e31dea3bc8ba2b580c252550fc

It seems that the Mediafire download URL for 7.5 has been deleted, now I get a 40kb HTML file.

When I look at previous versions, I see the same pattern when a new version is published :
 - The newest version is distributed on Mediafire with a random URL 
 - The previous version is moved to the "archive" section of the site with a new URL, local to the site, and can't be downloaded automatically without adding "--referer=http://www.freefilesync.org/archive.php" to the wget command line (you get a 403 error without it)

I don't know how to automate source download with these changes.
The only solution that would make it clear to ebuild users is to declare RESTRICT="fetch", which means that you have to download manually the sources and put the package in the distfiles directory.

I suppose this is all about bandwidth management, but it's not really fair to our use case.
I will ask the author if he could go back to SourceForge for example.
Comment 76 tman 2015-11-10 13:32:17 UTC
yes i did the manifest myself, because after downloading of the ebuild i have to do it
Comment 77 tman 2016-08-27 17:42:52 UTC
version 8.4 is released. please bump the ebuild please


thanks
Comment 78 Mickaël Bucas 2016-08-30 22:02:21 UTC
Created attachment 444502 [details]
freefilesync-8.4.ebuild

URL on Mediafire changed. URL in the archive added which is used when there is a newer version, as the Mediafire URL is destroyed.
RealtimeSync changed to RealTimeSync (with "Time" instead of "time") for program, icon and desktop file
Comment 79 Amy Liffey gentoo-dev 2016-12-17 13:27:12 UTC
Hello,
would you be willing to maintain this package through Proxy Maintainers project?

https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 80 Mickaël Bucas 2017-02-23 10:52:21 UTC
Here are the latest versions.

Version 8.5 could be built with the same ebuild as 8.4

Version 8.6 (and later) needs wxGTK-3.1, which is not in the portage tree. The version bump is asked for in Bug 577030, and I've added my proposition for this ebuild in that bug. I attach it here as well for convenience.

Version 8.7 (and later) needs zenxml-2.4 (from the same author). Compilation also failed because of some problems with includes. I've added the patch "freefilesync-8.7-fix-includes.patch" for this problem.

Version 8.8 also needs a different patch "freefilesync-8.8-fix-includes.patch"

And finally the latest version as of today is 8.9. It also needs a patch to compile with GCC 4.9.4, because inline functions are somehow removed of .o files if they are not used in that file, but in this case they are used in another file. So I patched it in "freefilesync-8.9-materialize-function.patch"
Comment 81 Mickaël Bucas 2017-02-23 10:53:40 UTC
Created attachment 464834 [details]
freefilesync-8.6.ebuild
Comment 82 Mickaël Bucas 2017-02-23 10:54:31 UTC
Created attachment 464836 [details]
wxGTK-3.1.0.ebuild
Comment 83 Mickaël Bucas 2017-02-23 10:55:23 UTC
Created attachment 464838 [details]
freefilesync-8.7.ebuild
Comment 84 Mickaël Bucas 2017-02-23 10:56:34 UTC
Created attachment 464840 [details]
zenxml-2.4.ebuild
Comment 85 Mickaël Bucas 2017-02-23 10:57:26 UTC
Created attachment 464842 [details, diff]
freefilesync-8.7-fix-includes.patch
Comment 86 Mickaël Bucas 2017-02-23 10:58:12 UTC
Created attachment 464844 [details]
freefilesync-8.8.ebuild
Comment 87 Mickaël Bucas 2017-02-23 10:58:49 UTC
Created attachment 464846 [details, diff]
freefilesync-8.8-fix-includes.patch
Comment 88 Mickaël Bucas 2017-02-23 10:59:23 UTC
Created attachment 464848 [details]
freefilesync-8.9.ebuild
Comment 89 Mickaël Bucas 2017-02-23 10:59:47 UTC
Created attachment 464850 [details, diff]
freefilesync-8.9-materialize-function.patch
Comment 90 Frank Krömmelbein 2017-02-23 15:29:37 UTC
Thank you very much Mickaël.

Compile of FreeFileSync failed for me until i switched the wxwidegts profil:
eselect wxwidgets set gtk3-unicode-3.1-gtk3
Is this so intended, or has these drawbacks with other installed programs which also use the wxwidgets?
Comment 91 Mickaël Bucas 2017-02-23 15:38:01 UTC
(In reply to Frank Krömmelbein from comment #90)
> Compile of FreeFileSync failed for me until i switched the wxwidegts profil:
> eselect wxwidgets set gtk3-unicode-3.1-gtk3
> Is this so intended, or has these drawbacks with other installed programs
> which also use the wxwidgets?

I forgot to explain this step, it's indeed necessary for FreeFileSync to compile, because the latest versions use new functions from wxGTK 3.1.

I'm not knowledgeable enough to evaluate impacts on other programs...
Perhaps if other profiles of wxWidgets are still available, programs using them will find them but I'm not certain of it.
Comment 92 Mickaël Bucas 2017-03-19 21:48:42 UTC
Created attachment 467618 [details]
freefilesync-8.10.ebuild

Nothing new this time
Comment 93 Mickaël Bucas 2017-03-19 21:49:26 UTC
Created attachment 467620 [details, diff]
freefilesync-8.10.ebuild

This patch is still necessary
Comment 94 Mickaël Bucas 2017-03-19 21:51:07 UTC
Created attachment 467622 [details, diff]
freefilesync-8.10-materialize-function.patch

This is the patch
Comment 95 Mickaël Bucas 2017-04-17 14:55:20 UTC
Created attachment 470258 [details]
FreeFileSync 9.0 : Version bump, a patch is still necessary
Comment 96 Mickaël Bucas 2017-04-17 14:56:02 UTC
Created attachment 470260 [details, diff]
This is the patch
Comment 97 tman 2018-01-30 12:07:34 UTC
version 9.7 is release but all ebuild does not work any more, plz bump plz
Comment 98 Mickaël Bucas 2018-01-30 14:19:53 UTC
Created attachment 517128 [details]
freefilesync-9.7.ebuild

FreeFileSync 9.7 : Version bump, almost the same patch is still necessary.
You may have to download manually the sources file because the site forbids automatic downloads.
Comment 99 Mickaël Bucas 2018-01-30 14:20:52 UTC
Created attachment 517130 [details, diff]
freefilesync-9.7-materialize-function.patch
Comment 100 Frank Krömmelbein 2018-02-13 23:18:14 UTC
Do you also have the problem that the program gets sometimes terminated, when the comparison button is pressed (and only then!) ? 
Sometimes this happens 3 or 4 times in a row when i start the program again and press compare. On the console i then found this:

**
Gtk:ERROR:/var/tmp/portage/x11-libs/gtk+-3.22.19/work/gtk+-3.22.19/gtk/gtkicontheme.c:4023:proxy_pixbuf_destroy: assertion failed: (icon_info->proxy_pixbuf != NULL)

The problem has been increasing for about a year, since about wxGTK-3.1.0 we have to use.
Comment 101 Frank Krömmelbein 2018-05-23 09:49:59 UTC
@Mickaël
Do you have a working ebuild for freefilesync >9.7?

I used 9.7 for some time, but it now refuses to build and fails with some strange errors:
In file included from ../../zen/globals.h:12:0,
                 from ../../zen/i18n.h:12,
                 from <command-line>:0:
../../zen/scope_guard.h:16:5: error: static assertion failed: check std::uncaught_exceptions support
     static_assert(__GNUC__ < 7 || (__GNUC__ == 7 && (__GNUC_MINOR__ < 2 || (__GNUC_MINOR__ == 2 && __GNUC_PATCHLEVEL__ <= 1))), "check std::uncaught_exceptions support");
     ^~~~~~~~~~~~~
make: *** [Makefile:102: ../Obj/FFS_GCC_Make_Release/ffs/src/algorithm.o] Error 1

I have rebuild all posible deps, but no change.

I then tried version 9.9 which then fails with this:

image_resources.cpp:18:10: fatal error: xBRZ/src/xbrz.h: No such file or directory
 #include <xBRZ/src/xbrz.h>

This seems to be a new/outsourced dep. by Zenju
https://sourceforge.net/projects/xbrz/files/xBRZ/
But copying the headers like zenxml to /usr/include did not fix this for me.
Comment 102 Mickaël Bucas 2018-06-03 10:14:42 UTC
I've a working ebuild for versions 9.8, 9.9 and 10.0

For 9.9, I've included xBRZ retrieval and unzip into FreeFileSync ebuild, as it contains only CPP include files. The good news is that no patch is needed starting from this version.

For 10.0, xBRZ is directly included in the package by the author.
Comment 103 Mickaël Bucas 2018-06-03 10:17:09 UTC
Created attachment 534612 [details]
freefilesync-9.8.ebuild
Comment 104 Mickaël Bucas 2018-06-03 10:17:57 UTC
Created attachment 534614 [details, diff]
freefilesync-9.8-materialize-function.patch
Comment 105 Mickaël Bucas 2018-06-03 10:19:53 UTC
Created attachment 534616 [details]
freefilesync-9.9.ebuild
Comment 106 Mickaël Bucas 2018-06-03 10:20:51 UTC
Created attachment 534618 [details]
freefilesync-10.0.ebuild
Comment 107 Mickaël Bucas 2018-10-14 22:23:42 UTC
Created attachment 551294 [details]
freefilesync-10.5.ebuild
Comment 108 Mickaël Bucas 2018-10-14 22:24:34 UTC
Created attachment 551296 [details, diff]
freefilesync-10.5-std-byte.patch
Comment 109 Mickaël Bucas 2018-10-14 22:30:51 UTC
To compile FreeFileSync, starting from version 10.2, you need GCC 7.3, which implements C++17

If you encounter an error message like this :
Fatal Error: Mismatch between the program and library build versions detected.
Then you need to also recompile wxGTK with GCC 7.3

If you want to see intermediary version, you can find them at my overlay :
https://github.com/mbucas/gentoo-overlay/tree/master/app-backup/freefilesync
Comment 110 jospezial 2018-12-14 22:30:06 UTC
Since 10.6 the Build/Bin/ folder is not created:

g++ -o ../Build/Bin/FreeFileSync ../Obj/FFS_GCC_Make_Release/ffs/src/base/algorithm.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/application.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/binary.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/comparison.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/db_file.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/dir_lock.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/ffs_paths.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/file_hierarchy.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/generate_logfile.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/icon_buffer.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/icon_loader.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/localization.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/parallel_scan.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/path_filter.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/process_xml.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/perf_check.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/resolve_path.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/status_handler.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/structures.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/synchronization.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/base/versioning.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/fs/abstract.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/fs/concrete.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/fs/native.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/batch_config.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/batch_status_handler.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/cfg_grid.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/command_box.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/folder_history_box.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/folder_selector.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/file_grid.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/file_view.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/log_panel.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/tree_grid.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/gui_generated.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/gui_status_handler.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/main_dlg.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/progress_indicator.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/search_grid.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/small_dlgs.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/sync_cfg.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/taskbar.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/tray_icon.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/triple_splitter.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/ui/version_check.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/recycler.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/file_access.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/file_io.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/file_traverser.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/http.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/zstring.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/format_unit.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/process_priority.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/shutdown.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../zen/thread.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/file_drop.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/grid.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/image_tools.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/graph.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/tooltip.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/image_resources.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/popup_dlg.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/popup_dlg_generated.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../wx+/zlib_wrap.cpp.o ../Obj/FFS_GCC_Make_Release/ffs/src/../../xBRZ/src/xbrz.cpp.o -s -no-pie `wx-config --libs std, aui --debug=no` -lz -pthread `pkg-config --libs   gtk+-3.0`
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cannot open output file ../Build/Bin/FreeFileSync: No such file or directory
collect2: error: ld returned 1 exit status
make: *** [Makefile:104: ../Build/Bin/FreeFileSync] Error 1
 * ERROR: app-misc/freefilesync-10.7::overlay_jl failed (compile phase):
 *   emake failed
 * 

After creating this folder the error is gone. 

I see:

* The ebuild is installing to one or more unexpected paths:
 * 
 *   /usr/share/doc/FreeFileSync
 * 
 * Please fix the ebuild to use correct FHS/Gentoo policy paths.
 * One or more compressed files were found in docompress-ed directories.
 * Please fix the ebuild not to install compressed files (manpages,
 * documentation) when automatic compression is used:
 * 
 *   /usr/share/doc/FreeFileSync/CHANGELOG.gz


 * QA Notice: Pre-stripped files found:
 * /usr/bin/FreeFileSync




But when I run FreeFileSync then it can't find /usr/Resources.zip
Comment 111 Mickaël Bucas 2019-01-05 17:46:18 UTC
Created attachment 560028 [details]
freefilesync-10.7.ebuild
Comment 112 Mickaël Bucas 2019-01-05 17:47:02 UTC
Created attachment 560030 [details, diff]
freefilesync-10.7-std-byte-resources-path.patch
Comment 113 Mickaël Bucas 2019-01-05 17:50:10 UTC
These modified ebuild and patch work with versions 10.6 and 10.7.

It solves the build issues, the access problem to Resources.zip as well as the QA Notices about documentation and stripped executables.
Comment 114 jospezial 2019-01-06 18:14:29 UTC
Created attachment 560118 [details]
freefilesync-10.7.ebuild EAPI="6"

I converted your ebuild to EAPI="6".

* updated header
* moved the sed to src_prepare()
* respect system CXXFLAGS and removed -O3

I could compile it without zenxml installed. Does it use the bundled version? So I removed the dep.
I can't find boost in the build.log or in Makefile.
Comment 115 Mickaël Bucas 2019-02-07 22:36:01 UTC
Created attachment 564154 [details]
freefilesync-10.8.ebuild

Thanks for upgrading to EAPI 6.

Indeed, boost is not used any more, it's not linked to the final executable, so I've removed it from the dependencies. And zenxml is bundled so there is no need for another package.

I've changed the modifications to Makefiles into a patch, which I find easier to read than sed commands. Some of these commands were also obsolete !
Comment 116 Mickaël Bucas 2019-02-07 22:36:54 UTC
Created attachment 564156 [details, diff]
freefilesync-10.8-std-byte-resources-path.patch
Comment 117 Mickaël Bucas 2019-02-07 22:38:09 UTC
Created attachment 564158 [details, diff]
freefilesync-10.8-makefiles.patch
Comment 118 jospezial 2019-02-10 08:28:22 UTC
(In reply to Mickaël Bucas from comment #115)

> 
> I've changed the modifications to Makefiles into a patch, which I find
> easier to read than sed commands. Some of these commands were also obsolete !

In the past I had big problems with patches and this program because of files with Windows line ends. I will give your ebuild a try on next release.
Comment 119 jospezial 2019-05-19 21:51:24 UTC
Did somebody find a way to compile the newer versions with network support for linux? Libressl used.

afs/libssh2/init_open_ssl.cpp: In destructor ‘OpenSslThreadCleanUp::~OpenSslThreadCleanUp()’:
afs/libssh2/init_open_ssl.cpp:42:9: error: ‘OPENSSL_thread_stop’ was not declared in this scope; did you mean ‘OPENSSL_realloc’?
   42 |         OPENSSL_thread_stop();
      |         ^~~~~~~~~~~~~~~~~~~
      |         OPENSSL_realloc
compilation terminated due to -Wfatal-errors.
make: *** [Makefile:124: /tmp/FreeFileSync_x86_64_Make/ffs/src/afs/libssh2/init_open_ssl.cpp.o] Error 1
make: *** Waiting for unfinished jobs....
afs/sftp.cpp:59:50: error: ‘MAX_SFTP_READ_SIZE’ was not declared in this scope
   59 | const size_t SFTP_OPTIMAL_BLOCK_SIZE_READ  = 4 * MAX_SFTP_READ_SIZE;     //https://github.com/libssh2/libssh2/issues/90
      |                                                  ^~~~~~~~~~~~~~~~~~
compilation terminated due to -Wfatal-errors.
make: *** [Makefile:124: /tmp/FreeFileSync_x86_64_Make/ffs/src/afs/sftp.cpp.o] Error 1
 * ERROR: app-misc/freefilesync-10.12::overlay_jl failed (compile phase):
 *   emake failed
Comment 120 Mickaël Bucas 2019-05-28 08:08:07 UTC
I didn't try with LibreSSL, but with OpenSSL. Starting with version 10.9, FreeFileSync depends on OpenSSL >= 1.1, which is not currently stable on Gentoo, see #684590. As this is an important package (on my system, I've 71 packages depending on it, like OpenSSH or Python...), I didn't try the unstable version.
Comment 121 jospezial 2019-06-29 21:36:33 UTC
(In reply to jospezial from comment #119)
> Did somebody find a way to compile the newer versions with network support
> for linux? Libressl used.
> 
> afs/libssh2/init_open_ssl.cpp: In destructor
> ‘OpenSslThreadCleanUp::~OpenSslThreadCleanUp()’:
> afs/libssh2/init_open_ssl.cpp:42:9: error: ‘OPENSSL_thread_stop’ was not
> declared in this scope; did you mean ‘OPENSSL_realloc’?
>    42 |         OPENSSL_thread_stop();
>       |         ^~~~~~~~~~~~~~~~~~~
>       |         OPENSSL_realloc
> compilation terminated due to -Wfatal-errors.
> make: *** [Makefile:124:
> /tmp/FreeFileSync_x86_64_Make/ffs/src/afs/libssh2/init_open_ssl.cpp.o] Error
> 1
> make: *** Waiting for unfinished jobs....


something like this would help for libressl:



#if OPENSSL_VERSION_NUMBER >= 0x10100000 +the !libressl thing
		OPENSSL_thread_stop();
#else

#include <openssl/err.h>
#include <openssl/conf.h>

 		CRYPTO_cleanup_all_ex_data();
 		CONF_modules_free();
 		EVP_cleanup();
 		ERR_free_strings();
 		ERR_remove_state(0);
#endif




> afs/sftp.cpp:59:50: error: ‘MAX_SFTP_READ_SIZE’ was not declared in this
> scope
>    59 | const size_t SFTP_OPTIMAL_BLOCK_SIZE_READ  = 4 * MAX_SFTP_READ_SIZE;
> //https://github.com/libssh2/libssh2/issues/90
>       |                                                  ^~~~~~~~~~~~~~~~~~
> compilation terminated due to -Wfatal-errors.
> make: *** [Makefile:124:
> /tmp/FreeFileSync_x86_64_Make/ffs/src/afs/sftp.cpp.o] Error 1
>  * ERROR: app-misc/freefilesync-10.12::overlay_jl failed (compile phase):
>  *   emake failed


found in https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=freefilesync

# inlining of constants not present in libssh2's distributed headers
    sed -i 's/MAX_SFTP_READ_SIZE/30000/g' FreeFileSync/Source/afs/sftp.cpp
    sed -i 's/MAX_SFTP_OUTGOING_SIZE/30000/g' FreeFileSync/Source/afs/sftp.cpp
Comment 122 jospezial 2019-06-29 21:56:59 UTC
>>> Source compiled.
>>> Test phase [not enabled]: app-misc/freefilesync-10.13

>>> Install app-misc/freefilesync-10.13 into /var/tmp/portage/app-misc/freefilesync-10.13/image/
make -j1 DESTDIR=/var/tmp/portage/app-misc/freefilesync-10.13/image/ install 
make: *** No rule to make target 'install'.  Stop.
 * ERROR: app-misc/freefilesync-10.13::overlay_jl failed (install phase):
 *   emake failed


https://aur.archlinux.org/cgit/aur.git/commit/PKGBUILD?h=freefilesync&id=95843a2f821bc6bcd902684e72b0c06137990c3d

Update to v10.9
* Manual implementation of "package" step.
  Upstream removed "install" target from Makefiles.

Can we do it similar?
The einstall helper has been banned with EAPI=6.
Comment 124 jospezial 2019-09-24 01:26:00 UTC
please add:
depends on #577030

https://bugs.gentoo.org/577030
x11-libs/wxGTK-3.1.1 version bump


found wxGTK-3.1.2-r300
https://github.com/perfect7gentleman/pg_overlay/tree/master/x11-libs/wxGTK
Comment 125 jospezial 2019-09-24 02:59:22 UTC
afs/ftp.cpp: In member function ‘std::string {anonymous}::FtpSession::runSingleFtpCommand(const string&, bool, int)’:
afs/ftp.cpp:546:51: error: ‘CURLFTPMETHOD_FULLPATH’ was not declared in this scope; did you mean ‘CURLFTPMETHOD_LAST’?
  546 |         return perform(AfsPath(), true /*isDir*/, CURLFTPMETHOD_FULLPATH, //really avoid needless CWDs unlike buggy(!) CURLFTPMETHOD_NOCWD
      |                                                   ^~~~~~~~~~~~~~~~~~~~~~
      |                                                   CURLFTPMETHOD_LAST
compilation terminated due to -Wfatal-errors.
make: *** [Makefile:116: /tmp/FreeFileSync_x86_64_Make/ffs/src/afs/ftp.cpp.o] Error 1
make: *** Waiting for unfinished jobs....

There are some related changes upstream in curl git.
Comment 126 Mickaël Bucas 2019-11-10 17:01:18 UTC
Now that OpenSSL 1.1 is stable, we can use version starting from 10.9. The latest 10.17 version is available in my overlay [1]. All intermediary versions are also available if necessary.

I didn't attach files to this bug because that would be one ebuild and 5 patches, but I can if anyone prefers. I keep patches in separate files because it's easier to remove them if they aren't necessary in a later version.

The main changes are :
 - Update to EAPI 7
 - Patch for Makefiles to reinstate the 'install' part, which was removed by the author...
 - Patches for some code problems, personal or inspired by Fedora [2], itself inspired by Arch Linux [3] :) Should attribution be added inside the patch files themselves ?

It's working for me in the following context :
 - sys-devel/gcc 8.3.0-r1
 - dev-libs/openssl 1.1.1d-r2
 - x11-libs/wxGTK 3.1.3-r300 => See ebuild in Bug 577030

[1] https://github.com/mbucas/gentoo-overlay/tree/master/app-backup/freefilesync
[2] https://copr-dist-git.fedorainfracloud.org/cgit/bgstack15/stackrpms/freefilesync.git/tree/
[3] https://aur.archlinux.org/packages/freefilesync/